Skip to main content
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

workspaceId
string<uuid>
required

The workspace id.

Query Parameters

page
integer
default:1

The page to return in a paginated query.

Required range: x >= 1
perPage
integer
default:25

Maximum number of items to return per page.

Required range: 1 <= x <= 100
frameworkId
string<uuid>

Only include items belonging to this framework.

projectId
string<uuid>

Only include items that apply to this project.

enabledFrameworkOnly
boolean
default:false

Only include items belonging to at least one enabled framework.

includeUnframed
boolean
default:true

Whether to include rules that are not part of any framework.

includeResults
boolean
default:false

Whether to include each rule's results inline, in a results array.

searchQuery
string

Filter by a free-text search over names and descriptions.

asc
boolean
default:true

Whether to sort in ascending order.

sortBy
enum<string>

The field to sort on.

Available options:
name,
status,
frameworks,
scope,
dateCreated
tags
string<uuid>[]

Only include rules carrying all of these rule tags. Pass tag ids, which you can look up with List rule tags.

deactivated
boolean

Only include rules that are deactivated (or active).

assigneeId
string<uuid>

Only include rules assigned to this user.

group
enum<string>

Only include rules in one bucket of the compliance workflow. open covers rules that still need attention, done covers rules that are fully satisfied, and excluded covers rules that have been deactivated.

Available options:
open,
excluded,
done

Response

Status OK.

items
object[]
required